io.vertx.ext.sql

## Enum ResultSetType

- java.lang.Object
- - java.lang.Enum<ResultSetType>
  - - io.vertx.ext.sql.ResultSetType

- All Implemented Interfaces:
    Serializable, Comparable<ResultSetType>

      public enum ResultSetType
      extends Enum<ResultSetType>

  Represents the resultset type hint
  Author:
    Paulo Lopes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FORWARD_ONLY`
    `SCROLL_INSENSITIVE`
    `SCROLL_SENSITIVE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getType()`
    `static ResultSetType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ResultSetType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FORWARD_ONLY

          public static final ResultSetType FORWARD_ONLY

    - #### SCROLL_INSENSITIVE

          public static final ResultSetType SCROLL_INSENSITIVE

    - #### SCROLL_SENSITIVE

          public static final ResultSetType SCROLL_SENSITIVE

  - ### Method Detail

    - #### values

          public static ResultSetType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResultSetType c : ResultSetType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResultSetType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getType

          public int getType()

Copyright © 2019 Eclipse. All rights reserved.